summaryrefslogtreecommitdiff
path: root/bin/makedoc.sh
diff options
context:
space:
mode:
authoralecpl <alec@alec.pl>2008-10-07 13:52:39 +0000
committeralecpl <alec@alec.pl>2008-10-07 13:52:39 +0000
commitda402d66df24e3d0120dc933dcba5a6aa16454ed (patch)
tree6b1cb0c6fde18cf732629d273bf8be457eeb8601 /bin/makedoc.sh
parent27a12edcd97d8ff55a5a31ede2e624a23fc481ac (diff)
#1485456: small improvements in scripts
Diffstat (limited to 'bin/makedoc.sh')
-rwxr-xr-xbin/makedoc.sh17
1 files changed, 14 insertions, 3 deletions
diff --git a/bin/makedoc.sh b/bin/makedoc.sh
index 5925d0a3f..02bc7a216 100755
--- a/bin/makedoc.sh
+++ b/bin/makedoc.sh
@@ -3,9 +3,20 @@
TITLE="RoundCube Classes"
PACKAGES="Core"
-PATH_PROJECT=$PWD/program/include
-PATH_DOCS=$PWD/doc/phpdoc
-PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+INSTALL_PATH="`dirname $0`/.."
+PATH_PROJECT=$INSTALL_PATH/program/include
+PATH_DOCS=$INSTALL_PATH/doc/phpdoc
+
+if [ -x /usr/local/php5/bin/phpdoc ]
+then
+ PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+elif [ -x /usr/bin/phpdoc ]
+then
+ PATH_PHPDOC=/usr/bin/phpdoc
+else
+ echo "phpdoc not found"
+ exit 1
+fi
OUTPUTFORMAT=HTML
CONVERTER=frames